Package org.apache.storm.validation

# Class ConfigValidationUtils.NestableFieldValidator

java.lang.Object
org.apache.storm.validation.ConfigValidationUtils.NestableFieldValidator

All Implemented Interfaces:
  `ConfigValidationUtils.FieldValidator`

Enclosing class:
  ConfigValidationUtils

public abstract static class ConfigValidationUtils.NestableFieldValidator extends Object implements ConfigValidationUtils.FieldValidator
Declares a method for validating configuration values that is nestable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NestableFieldValidator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `validateField(String name, Object field)`
  Validates the given field.
  `abstract void`
  `validateField(String pd, String name, Object field)`
  Validates the given field.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NestableFieldValidator

    public NestableFieldValidator()

- ## Method Details

  - ### validateField

    public void validateField(String name, Object field) throws IllegalArgumentException
    Description copied from interface: `ConfigValidationUtils.FieldValidator`
    Validates the given field.
    Specified by:
      `validateField` in interface `ConfigValidationUtils.FieldValidator`
    Parameters:
      `name` - the name of the field.
      `field` - The field to be validated.
    Throws:
      `IllegalArgumentException` - if the field fails validation.

  - ### validateField

    public abstract void validateField(String pd, String name, Object field) throws IllegalArgumentException
    Validates the given field.
    Parameters:
      `pd` - describes the parent wrapping this validator.
      `name` - the name of the field.
      `field` - The field to be validated.
    Throws:
      `IllegalArgumentException` - if the field fails validation.